Package org.apache.maven.scm.provider.tfs.command.consumer

## Class TfsChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.tfs.command.consumer.TfsChangeLogConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class TfsChangeLogConsumer
    extends AbstractConsumer

Author:
  Olivier Lamy

### Constructor Summary

Constructors
`TfsChangeLogConsumer​(ScmLogger logger)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ChangeSet>` `getLogs()`
`boolean` `hasBeenFed()`
`protected static java.util.Date` `parseDate​(java.lang.String dateString)`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsChangeLogConsumer

    public TfsChangeLogConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

#### getLogs

    public java.util.List<ChangeSet> getLogs()

#### hasBeenFed

    public boolean hasBeenFed()

#### parseDate

    protected static java.util.Date parseDate​(java.lang.String dateString)
                                       throws java.text.ParseException

Throws:
  `java.text.ParseException`